import {request} from '@/utils/request.js'


// 活动列表
export function getActivityList(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignup/xcxSearch',
		data
	})
}
// 获取活动详情
export function getActivityDetail(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignup/detail',
		data
	})
}

// 获取模板详情
export function getTemplateDetail(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/getContent',
		data
	})
}

// 报名
export function signUp(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/create',
		method:'post',
		data
	})
}

// 计算价格
export function calc(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/calc',
		data
	})
}

// 创建订单
export function createOrder(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/order',
		method:'post',
		data
	})
}

// 报名详情
export function getOrderDetail(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/get',
		data
	})
}

// 通过订单查询报名详情
// activitySignupOrder/getActivityOrdersByOrderNo
export function getActivityOrdersByOrderNo(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/getActivityOrdersByOrderNo',
		data
	})
}

// activitySignupOrder/search
// 订单活动管理列表
export function search(data) {
	return request({
		url: '/zswl-cloud-shop/activitySignupOrder/search',
		data
	})
}
